/* @link https://utopia.fyi/space/calculator?c=320,18,1.2,1240,20,1.25,5,2,&s=0.75|0.5|0.25,1.5|2|3|4|6|10,2xl-4xl|s-xl&g=s,l,xl,12 */
:root {
  --color-light: #ffffff;
  --color-light-alt: #969696;
  --color-dark: #2d2d2d;
  --step--2: clamp(0.7813rem, 0.7747rem + 0.0326vw, 0.8rem);
  --step--1: clamp(0.9375rem, 0.9158rem + 0.1087vw, 1rem);
  --step-0: clamp(1.125rem, 1.0815rem + 0.2174vw, 1.25rem);
  --step-1: clamp(1.35rem, 1.2761rem + 0.3696vw, 1.5625rem);
  --step-2: clamp(1.62rem, 1.5041rem + 0.5793vw, 1.9531rem);
  --step-3: clamp(1.9438rem, 1.7707rem + 0.8652vw, 2.4413rem);
  --step-4: clamp(2.3325rem, 2.0823rem + 1.2511vw, 3.0519rem);
  --step-5: clamp(2.7994rem, 2.4461rem + 1.7663vw, 3.815rem);
  --space-3xs: clamp(0.3125rem, 0.3125rem + 0vw, 0.3125rem);
  --space-2xs: clamp(0.5625rem, 0.5408rem + 0.1087vw, 0.625rem);
  --space-xs: clamp(0.875rem, 0.8533rem + 0.1087vw, 0.9375rem);
  --space-s: clamp(1.125rem, 1.0815rem + 0.2174vw, 1.25rem);
  --space-m: clamp(1.6875rem, 1.6223rem + 0.3261vw, 1.875rem);
  --space-l: clamp(2.25rem, 2.163rem + 0.4348vw, 2.5rem);
  --space-xl: clamp(3.375rem, 3.2446rem + 0.6522vw, 3.75rem);
  --space-2xl: clamp(4.5rem, 4.3261rem + 0.8696vw, 5rem);
  --space-3xl: clamp(6.75rem, 6.4891rem + 1.3043vw, 7.5rem);
  --space-4xl: clamp(11.25rem, 10.8152rem + 2.1739vw, 12.5rem);
  /* One-up pairs */
  --space-3xs-2xs: clamp(0.3125rem, 0.2038rem + 0.5435vw, 0.625rem);
  --space-2xs-xs: clamp(0.5625rem, 0.4321rem + 0.6522vw, 0.9375rem);
  --space-xs-s: clamp(0.875rem, 0.7446rem + 0.6522vw, 1.25rem);
  --space-s-m: clamp(1.125rem, 0.8641rem + 1.3043vw, 1.875rem);
  --space-m-l: clamp(1.6875rem, 1.4049rem + 1.413vw, 2.5rem);
  --space-l-xl: clamp(2.25rem, 1.7283rem + 2.6087vw, 3.75rem);
  --space-xl-2xl: clamp(3.375rem, 2.8098rem + 2.8261vw, 5rem);
  --space-2xl-3xl: clamp(4.5rem, 3.4565rem + 5.2174vw, 7.5rem);
  --space-3xl-4xl: clamp(6.75rem, 4.75rem + 10vw, 12.5rem);
  /* Custom pairs */
  --space-2xl-4xl: clamp(4.5rem, 1.7174rem + 13.913vw, 12.5rem);
  --space-s-xl: clamp(1.125rem, 0.212rem + 4.5652vw, 3.75rem);
  --shadow-color: 0deg 0% 9%;
  --shadow-elevation-low: 0.1px 0.3px 0.5px hsl(var(--shadow-color) / 0), 0.2px 0.5px 0.8px hsl(var(--shadow-color) / 0.15), 0.4px 0.9px 1.5px hsl(var(--shadow-color) / 0.3);
  --shadow-elevation-medium: 0.1px 0.3px 0.5px hsl(var(--shadow-color) / 0), 0.5px 1.2px 2px hsl(var(--shadow-color) / 0.12), 0.9px 2.4px 3.8px hsl(var(--shadow-color) / 0.24), 1.9px 4.7px 7.6px hsl(var(--shadow-color) / 0.36);
  --shadow-elevation-high: 0.1px 0.3px 0.5px hsl(var(--shadow-color) / 0), 0.8px 2.1px 3.4px hsl(var(--shadow-color) / 0.06), 1.4px 3.6px 5.8px hsl(var(--shadow-color) / 0.11), 2px 5.2px 8.4px hsl(var(--shadow-color) / 0.17), 2.8px 7.2px 11.6px hsl(var(--shadow-color) / 0.22),
    3.9px 10px 16.1px hsl(var(--shadow-color) / 0.28), 5.4px 13.8px 22.2px hsl(var(--shadow-color) / 0.33), 7.5px 19.1px 30.8px hsl(var(--shadow-color) / 0.39); }

body {
  font-weight: 300;
  font-family: "Merriweather", Times, serif;
  color: var(--color-light);
  background-color: var(--color-dark);
  font-size: var(--step-0);
  line-height: 140%; }

.title,
.subtitle,
.tag,
button,
h1,
h2,
h3,
h4,
h5,
h6 {
  line-height: 120%;
  font-weight: 400;
  font-family: "DM Serif Display", Times, serif;
  letter-spacing: 0.02em; }

h1 {
  font-size: var(--step-5);
  margin: 0; }

h2 {
  font-size: var(--step-3);
  margin: 0; }

.subtitle,
h3 {
  font-size: var(--step-2); }

.sr-only {
  position: absolute;
  width: 1px;
  height: 1px;
  margin: -1px;
  padding: 0;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  border: 0; }

nav,
main,
footer {
  --pad: var(--space-s-xl);
  max-width: calc(1240px - var(--pad) * 2);
  width: calc(100% - var(--pad) * 2);
  padding: 0 var(--pad) 0 var(--pad);
  margin: 0 auto; }

nav {
  padding-top: var(--space-l-xl); }

main,
footer {
  padding-top: var(--space-2xl-4xl); }

.subtitle p {
  padding: 0;
  margin: 0; }

.subtle {
  color: var(--color-light-alt); }

article {
  display: grid;
  padding-top: var(--space-2xl-4xl);
  gap: var(--space-s-xl);
  grid-template-columns: 3fr 2fr;
  grid-template-rows: 1fr; }

.description > :not(:first-child) {
  margin-top: var(--space-s); }

.description a,
.description p {
  margin: 0;
  display: block; }

.description a {
  color: var(--color-light);
  text-decoration-color: var(--theme-color);
  text-underline-offset: 0.2em;
  word-break: break-all; }
  .description a:hover {
    color: var(--theme-color); }
  .description a.links {
    margin-top: var(--space--xs); }

.description .link-title {
  font-size: var(--step--1);
  color: var(--theme-color); }

.preview {
  aspect-ratio: 1.6;
  background-color: black;
  border-radius: 5px;
  overflow: hidden;
  background-size: cover;
  background-position: center;
  position: relative;
  box-shadow: var(--shadow-elevation-high); }
  .preview video {
    width: 100%;
    height: 100%;
    object-fit: cover; }
  .preview.clickable {
    cursor: pointer;
    transition-property: box-shadow, transform;
    transition-timing-function: ease-in-out;
    transition-duration: 0.15s; }
    .preview.clickable::after {
      content: "";
      position: absolute;
      inset: 0;
      border: var(--theme-color) 10px solid;
      display: flex;
      align-items: center;
      justify-content: center;
      opacity: 0;
      transition: opacity 0.15s ease-in-out; }
    .preview.clickable:hover::after, .preview.clickable:active::after {
      opacity: 1; }
    .preview.clickable:active {
      transform: translateY(5px) translateX(0);
      box-shadow: var(--shadow-elevation-low); }

.tags {
  list-style: none;
  margin: 0;
  padding: 0;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: var(--space-2xs); }

.tag {
  background-color: var(--theme-color, #eee);
  padding: var(--space-3xs) var(--space-xs);
  color: var(--color-dark);
  border-radius: 5px; }

.in-view .preview {
  background-image: var(--img); }

@media screen and (max-width: 980px) {
  article {
    max-width: 600px;
    margin: 0 auto;
    grid-template-columns: 1fr;
    grid-template-rows: auto auto; } }
